Acknowledge a comment

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.kitsu.cloud/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Kitsu API MCP server": {
    "url": "https://api-docs.kitsu.cloud/mcp"
  }
}

Close
POST /data/tasks/{task_id}/comments/{comment_id}/ack

Acknowledge a comment for the current user. If the current user already acknowledged the comment, remove the acknowledgement.

Path parameters

  • task_id string(uuid) Required

    Unique identifier of the task

  • comment_id string(uuid) Required

    Unique identifier of the comment

Responses

  • 200 application/json

    The comment

    Hide response attributes Show response attributes object
    • id string(uuid)

      Comment unique identifier

    • acknowledged boolean

      Whether the comment is acknowledged

  • 403

    You do not have access to this task

  • 404

    The comment does not exist, or it is not on this task

POST /data/tasks/{task_id}/comments/{comment_id}/ack
curl -X POST "http://api.example.com/data/tasks/a24a6ea4-ce75-4665-a070-57453082c25/comments/b35b7fb5-df86-5776-b181-68564193d36/ack" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json"
import requests

url = "http://api.example.com/data/tasks/a24a6ea4-ce75-4665-a070-57453082c25/comments/b35b7fb5-df86-5776-b181-68564193d36/ack"
headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json"
}
params = {}
payload = None

response = requests.post(
    url,
    headers=headers,
    params=params,
    json=payload
)

response.raise_for_status()

if response.content:
    print(response.json())
Response examples (200)
{
  "id": "b35b7fb5-df86-5776-b181-68564193d360",
  "acknowledged": true
}